<template>
    <div class="warning-block white-block">
      Необходимо заполнить:
      <div v-for="item in $user.blankFields">

        <!--ЛИЧНЫЕ ДАННЫЕ-->

        <div class="text-decoration" v-if="item === 'lastName'">
           <a class="inicialProfile" id="lastName" @click="focusNeedField"> - В разделе ЛИЧНЫЕ ДАННЫЕ отсутствует Фамилия</a>
        </div>
        <div class="text-decoration" v-if="item === 'firstName'">
           <a class="inicialProfile" id="firstName" @click="focusNeedField"> - В разделе ЛИЧНЫЕ ДАННЫЕ отсутствует Имя</a>
        </div>
        <div class="text-decoration" v-if="item === 'middleName'">
           <a class="inicialProfile" id="middleName" @click="focusNeedField"> - В разделе ЛИЧНЫЕ ДАННЫЕ отсутствует Отчество</a>
        </div>
        <div class="text-decoration" v-if="item === 'bDay'">
           <a class="inicialProfile" id="bDay" @click="focusNeedField"> - В разделе ЛИЧНЫЕ ДАННЫЕ отсутствует Дата рождения</a>
        </div>
        <div class="text-decoration" v-if="item === 'bPlace'">
           <a class="inicialProfile" id="bPlace" @click="focusNeedField"> - В разделе ЛИЧНЫЕ ДАННЫЕ отсутствует Место рождения</a>
        </div>
        <div class="text-decoration" v-if="item === 'gender'">
           <a class="inicialProfile" id="gender" @click="focusBlock"> - В разделе ЛИЧНЫЕ ДАННЫЕ отсутствует Пол</a>
        </div>

        <!--КОНТАКТНАЯ ИНФОРМАЦИЯ-->

        <div class="text-decoration" v-if="item === 'mobilePhone'">
           <a class="contactInfoProfile" @click="focusBlock"> - В разделе КОНТАКТНАЯ ИНФОРМАЦИЯ отсутствует Мобильный телефон</a>
        </div>
        <div class="text-decoration" v-if="item === 'email'">
           <a class="contactInfoProfile" @click="focusBlock"> - В разделе КОНТАКТНАЯ ИНФОРМАЦИЯ отсутствует Email</a>
        </div>

        <!--ДОПОЛНИТЕЛЬНЫЙ ТЕЛЕФОН-->

        <div class="text-decoration" v-if="item === 'additionalPhone'">
           <a class="contactProfile" id="additionalPhone" @click="focusNeedField"> - В разделе ДОПОЛНИТЕЛЬНЫЙ ТЕЛЕФОН отсутствует Телефон</a>
        </div>
        <div class="text-decoration" v-if="item === 'additionalPhoneOwner'">
           <a class="contactProfile" id="additionalPhoneOwner" @click="focusNeedField"> - В разделе ДОПОЛНИТЕЛЬНЫЙ ТЕЛЕФОН отсутствует ФИО владельца телефона</a>
        </div>

        <!--ПАСПОРТНЫЕ ДАННЫЕ-->

        <div class="text-decoration" v-if="item === 'passport'">
           <a class="passportProfile" id="passport" @click="focusNeedField"> - В разделе ПАСПОРТНЫЕ ДАННЫЕ отсутствует Серия и номер</a>
        </div>
        <div class="text-decoration" v-if="item === 'passportDivisionCode'">
           <a class="passportProfile" id="passportDivisionCode" @click="focusNeedField"> - В разделе ПАСПОРТНЫЕ ДАННЫЕ отсутствует Код подразделения</a>
        </div>
        <div class="text-decoration" v-if="item === 'passportDateOfIssue'">
           <a class="passportProfile" id="passportDateOfIssue" @click="focusNeedField"> - В разделе ПАСПОРТНЫЕ ДАННЫЕ отсутствует Дата выдачи</a>
        </div>
        <div class="text-decoration" v-if="item === 'passportIssuedBy'">
           <a class="passportProfile" id="passportIssuedBy" @click="focusNeedField"> - В разделе ПАСПОРТНЫЕ ДАННЫЕ отсутствует Кем выдан</a>
        </div>

        <!--АДРЕС РЕГИСТРАЦИИ-->

        <div class="text-decoration" v-if="item === 'address'">
          <a class="addressProfile" id="address" @click="focusNeedField"> - В разделе АДРЕС РЕГИСТРАЦИИ отсутствует Адрес</a>
        </div>

        <div class="text-decoration" v-if="item === 'addressFiases'">
          <a class="addressProfile" id="address" @click="focusNeedField"> - В разделе АДРЕС РЕГИСТРАЦИИ отсутствует Адрес</a>
        </div>

        <!--ИНФОРМАЦИЯ О РАБОТЕ И ДОХОДЕ-->

        <div class="text-decoration" v-if="item === 'typeOfEmployment'">
           <a class="workProfile" id="typeOfEmployment" @click="focusBlock"> - В разделе ИНФОРМАЦИЯ О РАБОТЕ И ДОХОДЕ отсутствует Вид занятости</a>
        </div>
        <div class="text-decoration" v-if="item === 'workSalary'">
           <a class="workProfile" id="workSalary" @click="focusNeedField"> - В разделе ИНФОРМАЦИЯ О РАБОТЕ И ДОХОДЕ отсутствует Ежемесячный доход</a>
        </div>
        <div class="text-decoration" v-if="item === 'workType'">
           <a class="workProfile" data-class="employee" id="workType" @click="focusBlock"> - В разделе ИНФОРМАЦИЯ О РАБОТЕ И ДОХОДЕ отсутствует Тип организации</a>
        </div>
        <div class="text-decoration" v-if="item === 'workScope'">
           <a class="workProfile" data-class="employee" id="workScope" @click="focusBlock"> - В разделе ИНФОРМАЦИЯ О РАБОТЕ И ДОХОДЕ отсутствует Сфера деятельности организации</a>
        </div>
        <div class="text-decoration" v-if="item === 'workName'">
           <a class="workProfile" data-class="employee" id="workName" @click="focusNeedField"> - В разделе ИНФОРМАЦИЯ О РАБОТЕ И ДОХОДЕ отсутствует Название организации</a>
        </div>
        <div class="text-decoration" v-if="item === 'workPhone'">
           <a class="workProfile" data-class="employee" id="workPhone" @click="focusNeedField"> - В разделе ИНФОРМАЦИЯ О РАБОТЕ И ДОХОДЕ отсутствует Телефон работодателя</a>
        </div>
        <div class="text-decoration" v-if="item === 'workNumberOfEmployees'">
           <a class="workProfile" id="workNumberOfEmployees" @click="focusBlock"> - В разделе ИНФОРМАЦИЯ О РАБОТЕ И ДОХОДЕ отсутствует Кол-во сотрудников в компании</a>
        </div>
        <div class="text-decoration" v-if="item === 'workPeriod'">
           <a class="workProfile" id="workPeriod" @click="focusBlock"> - В разделе ИНФОРМАЦИЯ О РАБОТЕ И ДОХОДЕ отсутствует Стаж работы в данной компании</a>
        </div>
        <div class="text-decoration" v-if="item === 'workPosition'">
           <a class="workProfile" data-class="employee" id="workPosition" @click="focusNeedField"> - В разделе ИНФОРМАЦИЯ О РАБОТЕ И ДОХОДЕ отсутствует Должность</a>
        </div>
        <!--<div class="text-decoration" v-if="item === 'workINN'">-->
           <!--<a class="workProfile" data-class="businessman" id="workINN" @click="focusNeedField"> - В разделе ИНФОРМАЦИЯ О РАБОТЕ И ДОХОДЕ отсутствует ИНН</a>-->
        <!--</div>-->
        <div class="text-decoration" v-if="item === 'workFullName'">
           <a class="workProfile" data-class="FounderFullName" id="workFullName" @click="focusNeedField"> - В разделе ИНФОРМАЦИЯ О РАБОТЕ И ДОХОДЕ отсутствует Полное наименование юр. лица</a>
        </div>

        <!--МЕСТО НАХОЖДЕНИЯ РАБОТОДАТЕЛЯ-->

        <div class="text-decoration" v-if="item === 'workAddress'">
           <a class="workProfile" data-class="WorkAddress" id="address" @click="focusNeedField"> - В разделе МЕСТО НАХОЖДЕНИЯ РАБОТОДАТЕЛЯ отсутствует Рабочий адрес</a>
        </div>

        <div class="text-decoration" v-if="item === 'workAddressFiases'">
          <a class="addressProfile" id="address" @click="focusNeedField"> - В разделе МЕСТО НАХОЖДЕНИЯ РАБОТОДАТЕЛЯ отсутствует Адрес</a>
        </div>

        <!--СНИСЛ-->

        <div class="text-decoration" v-if="item === 'snilsOrInn'">
           <a class="snilsOrInn" id="inn" @click="focusNeedField"> - В разделе ДОПОЛНИТЕЛЬНАЯ ИНФОРМАЦИЯ отсутствует СНИЛС или ИНН</a>
        </div>

        <!--ДОПОЛНИТЕЛЬНАЯ ИНФОРМАЦИЯ-->

        <div class="text-decoration" v-if="item === 'maritalStatus'">
           <a class="infoProfile" id="maritalStatus" @click="focusBlock"> - В разделе ДОПОЛНИТЕЛЬНАЯ ИНФОРМАЦИЯ отсутствует Семейное положение</a>
        </div>
        <div class="text-decoration" v-if="item === 'numberOfChildren'">
           <a class="infoProfile" id="numberOfChildren" @click="focusBlock"> - В разделе ДОПОЛНИТЕЛЬНАЯ ИНФОРМАЦИЯ отсутствует информация Есть ли у Вас дети?</a>
        </div>
        <div class="text-decoration" v-if="item === 'educationType'">
           <a class="infoProfile" id="educationType" @click="focusBlock"> - В разделе ДОПОЛНИТЕЛЬНАЯ ИНФОРМАЦИЯ отсутствует Образование</a>
        </div>
        <div class="text-decoration" v-if="item === 'sourceOfInformation'">
           <a class="infoProfile" id="sourceOfInformation" @click="focusBlock"> - В разделе ДОПОЛНИТЕЛЬНАЯ ИНФОРМАЦИЯ отсутствует информация Откуда Вы о нас узнали?</a>
        </div>
        <div class="text-decoration" v-if="item === 'hasPreviousConviction'">
           <a class="infoProfile" id="hasPreviousConviction" @click="focusBlock"> - В разделе ДОПОЛНИТЕЛЬНАЯ ИНФОРМАЦИЯ отсутствует информация Есть ли у Вас судимость?</a>
        </div>

        <!--ПУБЛИЧНОСТЬ-->

        <div class="text-decoration" v-if="item === 'publicity.officialState'">
           <a class="publicityProfile" id="officialState" @click="focusBlock"> - В разделе ПУБЛИЧНОСТЬ отсутствует информация
             Являетесь ли вы или ваши близкие родственники иностранным публичным должностным лицом?</a>
        </div>
        <div class="text-decoration" v-if="item === 'publicity.officialName'">
           <a class="publicityProfile" id="officialName" @click="focusNeedField"> - В разделе ПУБЛИЧНОСТЬ отсутствует Должность иностранного публичного лица:</a>
        </div>
        <div class="text-decoration" v-if="item === 'publicity.internationalOrganizationState'">
           <a class="publicityProfile" id="publicity.internationalOrganizationState" @click="focusBlock"> - В разделе ПУБЛИЧНОСТЬ отсутствует информация
             Являетесь ли вы или ваши близкие родственники должностным лицом публичной международной организации?</a>
        </div>
        <div class="text-decoration" v-if="item === 'publicity.internationalOrganizationName'">
           <a class="publicityProfile" id="internationalOrganizationName" @click="focusNeedField"> - В разделе ПУБЛИЧНОСТЬ отсутствует Должность лица и наименование международной организации</a>
        </div>
        <div class="text-decoration" v-if="item === 'publicity.officialRussiaState'">
           <a class="publicityProfile" id="officialRussiaState" @click="focusBlock"> - В разделе ПУБЛИЧНОСТЬ отсутствует информация
             Являетесь ли вы или ваши близкие родственники публичным должностным лицом Российской Федерации</a>
        </div>
        <div class="text-decoration" v-if="item === 'publicity.officialRussiaName'">
           <a class="publicityProfile" id="officialRussiaName" @click="focusNeedField"> - В разделе ПУБЛИЧНОСТЬ отсутствует Должность лица и наименование Российской организации</a>
        </div>
        <div class="text-decoration" v-if="item === 'publicity.benefitsOfAnotherPerson'">
           <a class="publicityProfile" id="benefitsOfAnotherPerson" @click="focusBlock"> - В разделе ПУБЛИЧНОСТЬ отсутствует информация
             Действуете ли вы к выгоде другого лица (выгодоприобретателя) в том числе на основании агентского договора, договора поручения, комиссии, доверительного управления?</a>
        </div>

        <!--БЕНЕФИЦИАРНЫЙ ВЛАДЕЛЕЦ-->

        <div class="text-decoration" v-if="item === 'beneficial.state'">
           <a class="beneficialProfile" id="beneficial.state" @click="focusBlock"> - В разделе БЕНЕФИЦИАРНЫЙ ВЛАДЕЛЕЦ отсутствует Наличие бенефириарного владельца физического лица</a>
        </div>
        <div class="text-decoration" v-if="item === 'beneficial.lastName'">
           <a class="beneficialProfile" id="beneficial.lastName" @click="focusNeedField"> - В разделе БЕНЕФИЦИАРНЫЙ ВЛАДЕЛЕЦ отсутствует Фамилия</a>
        </div>
        <div class="text-decoration" v-if="item === 'beneficial.firstName'">
           <a class="beneficialProfile" id="beneficial.firstName" @click="focusNeedField"> - В разделе БЕНЕФИЦИАРНЫЙ ВЛАДЕЛЕЦ отсутствует Имя</a>
        </div>
        <div class="text-decoration" v-if="item === 'beneficial.middleName'">
           <a class="beneficialProfile" id="beneficial.middleName" @click="focusNeedField"> - В разделе БЕНЕФИЦИАРНЫЙ ВЛАДЕЛЕЦ отсутствует Отчество</a>
        </div>
        <div class="text-decoration" v-if="item === 'beneficial.passport'">
           <a class="beneficialProfile" id="beneficial.passport" @click="focusNeedField"> - В разделе БЕНЕФИЦИАРНЫЙ ВЛАДЕЛЕЦ отсутствует Серия и номер</a>
        </div>
        <div class="text-decoration" v-if="item === 'beneficial.passportDivisionCode'">
           <a class="beneficialProfile" id="beneficial.passportDivisionCode" @click="focusNeedField"> - В разделе БЕНЕФИЦИАРНЫЙ ВЛАДЕЛЕЦ отсутствует Код подразделения</a>
        </div>
        <div class="text-decoration" v-if="item === 'beneficial.passportDateOfIssue'">
           <a class="beneficialProfile" id="beneficial.passportDateOfIssue" @click="focusNeedField"> - В разделе БЕНЕФИЦИАРНЫЙ ВЛАДЕЛЕЦ отсутствует Дата выдачи</a>
        </div>

      </div>
    </div>
</template>

<script>
    export default {
      name: 'BlockBlankFields',
      methods: {
        focusNeedField ({target}) {
          let mod = target.getAttribute('class')
          let id = target.id
          let reMod = target.getAttribute('data-class')
          if (reMod === null || reMod === undefined) {
            console.log('mod', mod, 'id', id)
            this.$parent.$refs[mod].$el.scrollIntoView()
            console.log('22222222222', this.$parent.$refs[mod])
            this.$parent.$refs[mod].$refs[id].focus()
          } else {
            console.log('mod', mod, 'id', id, 'zod', reMod)
            this.$parent.$refs[mod].$el.scrollIntoView()
            this.$parent.$refs[mod].$refs[reMod].$refs[id].focus()
          }
          this.callErr()
        },
        focusBlock ({target}) {
          let mod = target.getAttribute('class')
          this.$parent.$refs[mod].$el.scrollIntoView()
          this.callErr()
        },
        async callErr () {
          const checked = []
          checked.push(await this.$parent.$refs.inicialProfile.$validator.validateAll())
          checked.push(await this.$parent.$refs.contactProfile.$validator.validateAll())
          checked.push(await this.$parent.$refs.passportProfile.$validator.validateAll())
          checked.push(await this.$parent.$refs.addressProfile.$validator.validateAll())
          checked.push(await this.$parent.$refs.workProfile.$validator.validateAll())
          checked.push(this.$store.state.authorizedUser.typeOfEmployment === 1 ? await this.$parent.$refs.workProfile.$refs.employee.$validator.validateAll() : true)
          checked.push(this.$store.state.authorizedUser.typeOfEmployment === 1 ? await this.$parent.$refs.workProfile.$refs.WorkAddress.$validator.validateAll() : true)
          checked.push(this.$store.state.authorizedUser.typeOfEmployment === 2 ? await this.$parent.$refs.workProfile.$refs.businessman.$validator.validateAll() : true)
          checked.push(this.$store.state.authorizedUser.typeOfEmployment === 3 ? await this.$parent.$refs.workProfile.$refs.FounderFullName.$validator.validateAll() : true)
          checked.push(this.$store.state.authorizedUser.typeOfEmployment === 3 ? await this.$parent.$refs.workProfile.$refs.businessman.$validator.validateAll() : true)
          checked.push(await this.$parent.$refs.snilsOrInn.$validator.validateAll())
          checked.push(await this.$parent.$refs.infoProfile.$validator.validateAll())
          checked.push(await this.$parent.$refs.publicityProfile.$validator.validateAll())
          checked.push(await this.$parent.$refs.beneficialProfile.$validator.validateAll())
          console.log('checked', checked)
        }
      },
      computed: {
        unFields () {
          // console.log('!@!@!@!@!@!@!@!@!@!@!', $store.state.authorizedUser.blankFields)
          let vm = this.$store.state.authorizedUser.blankFields.map((key) => key)
          return vm
        }
      }
    }
</script>

<style scoped>

</style>
